/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* ===============================  My style rules start here  =============================== */

header, main {
	max-width: 82vw;
    margin: 0 auto;
}

header, body {
    font-family: Poppins, Arial, Helvetica, sans-serif;
}

body {
	font-size: 1rem;
	line-height: 1.6;
    font-weight: 400;
    background-color: #F9F9F9;
    background-image: radial-gradient(#C0C0BF 1.3px, transparent 0px);
    background-size: 40px 40px;
    z-index: -1;
}

h1, h2, h3 {
    font-family: 'EB Garamond', Georgia, 'Times New Roman', Times, serif;
}

/* ===============================  Header & Navigation  =============================== */

:root {
    --powder-blue: #99CDD3;
    --white: #fff;
    --jet-black: #1C1C1C;
    --persian-indigo: #320064;
    --grey: #7A7A7A;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 5rem;
    border: 2px solid var(--powder-blue);
    background-color: var(--white);
    margin-top: 2rem;
    margin-bottom: 2rem;
}
  
header img {
    width: 60px;
    height: auto;
    padding: 0.6rem 2rem;
}
  
nav[aria-label="main"] ul {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 4;
    background: var(--white);
    width: 100%;
    height: 100vh;
    opacity: 0;
    visibility: hidden;
    transform: translateX(100%);
    transition: transform 0.6s ease-in-out, opacity 0.4s ease-in-out, visibility 0.4s;
    justify-content: center;
}
  
nav[aria-label="main"] ul li {
    font-size: 1.4rem;
    text-align: center;
    padding: 1.5rem 0rem;
}

nav[aria-label="main"] ul li a {
   text-decoration: none;
   color: var(--jet-black);
   font-weight: 500;
}
  
input[type="checkbox"] {
    opacity: 0;
    position: absolute;
}
  
label.toggle {
    display: block;
    font-size: 1.2em;
    text-transform: uppercase;
    position: relative;
    z-index: 5;
    padding-right: 2rem;
}
  
label.toggle [class*='line-'] {
    background: var(--persian-indigo);
    display: block;
    border-radius: 3px;
    height: 3px;
    width: 26px;
    margin: 6px auto;
    transition: 0.4s ease all;
}
  
input[type="checkbox"]:checked + label.toggle .line-top {
    transform: rotate(45deg);
    transform-origin: 0 0;
}
  
input[type="checkbox"]:checked + label.toggle .line-mid {
    opacity: 0;
}
  
input[type="checkbox"]:checked + label.toggle .line-bot {
    transform: rotate(-45deg);
    transform-origin: 0 90%;
}
  
input[type="checkbox"]:checked + label.toggle + ul {
    display: flex;
    opacity: 1;
    visibility: visible;
    transform: translateX(0);
}
  
/* ===============================  Hero Section  =============================== */

.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 1rem;
    min-height: auto;
}

.hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.5rem;
    width: 100%;
    padding-bottom: 0.7rem;
}

.hero-text {
    padding-top: 1rem;
}

.hero-text h1 {
    font-size: 2.8rem;
    line-height: 1.3;
    font-weight: 400;
    text-align: left;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    padding-bottom: 0.5rem;
}

.arrow {
    display: none;
}

.profession {
    font-size: 1.3rem;
    color: var(--grey);
    position: relative;
    display: inline-block;
}

.name-underline-1 {
    position: absolute;
    width: 87px;
    left: 0;
    bottom: -9px;
    z-index: -1;
}

.name-underline-2 {
    position: absolute;
    width: 53px;
    left: 136px;
    bottom: -2px;
    z-index: -1;
}

.hero-image {
    max-width: 235px;
    margin: 0 auto;
}

.hero-image img {
    width: 100%;
    height: auto;
}

.pattern {
    position: relative;
    width: 100vw;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    max-width: 100vw;
}

/* ===============================  About Section  =============================== */

.about-section {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.about-section h1 {
    padding-bottom: 0.5rem;
    padding-top: 0;
}

.about-section p {
    padding-bottom: 1.6rem;
}

.image-wrapper {
    position: relative;
    justify-content: center;
}

.about-photo {
    width: 222px;
    height: auto;
    margin-top: 1rem;
}

.about-arrow {
    position: absolute;
    bottom: -44px;
    width: 98px;
    height: auto;
    left: 196px;
}

/* ===============================  Skills, Tools, Language  =============================== */

.about-grid-section {
    text-align: center;
    padding: 4rem 1.5rem;
}

.about-grid-heading {
    font-size: 3rem;
    line-height: 1.3;
    margin-bottom: 2.5rem;
}

.about-grid-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
    max-width: 1100px;
    margin: 0 auto;
}

.about-card {
    border: 2px solid var(--jet-black);
    background-color: var(--white);
    border-radius: 12px;
    padding: 2rem 1.5rem;
    text-align: left;
}

.about-card h3 {
    font-size: 1.6rem;
    margin-bottom: 0.8rem;
}

.about-card hr {
    border: none;
    height: 1.6px;
    background-color: var(--powder-blue);
    margin-bottom: 1rem;
}

.about-card p {
    margin-bottom: 1rem;
}

.about-card ul {
    padding-left: 0;
    list-style: none;
}

.about-card li {
    margin-bottom: 0.5rem;
    font-size: 1rem;
}

.about-card li strong {
    font-weight: 600;
}

.tools-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
    margin-top: 1.8rem;
}

.tools-grid img {
    width: 50px;
    height: auto;
    justify-self: center;
}
/* ===============================  Works Section  =============================== */

h1 {
    font-size: 3rem;
    padding: 2rem 0;
    text-align: center;
}
.works h2 {
    font-size: 3rem;
    padding-top: 2.8rem;
    padding-bottom: 1.8rem;
    text-align: center;
}

.heading1 {
    font-size: 3rem;
    text-align: center;
}

.grid {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(1, 1fr);
    padding-bottom: 2.5rem;
}
  
.card {
    display: flex;
    flex-direction: column; /* Stack by default for mobile */
    align-items: center;
    border: 2px solid var(--jet-black);;
    border-radius: 12px;
    background-color: var(--white);
    width: 100%;
}
  
.card img {
    width: 200px;
    border-radius: 5px;
    margin-top: 2rem;
    margin-bottom: 1rem;
}
  
.card-content {
    text-align: center;
}
  
.card-content h3 {
    font-size: 1.8rem;
    font-weight: 400;
    margin-bottom: 0.5rem;
}
  
.card-content p {
    color: var(--jet-black);
    padding-left: 2rem;
    padding-right: 2rem;
    padding-bottom: 1.5rem;
}

.view-project-link {
    display: inline-block;
    background-color: var(--powder-blue);
    color: var(--jet-black);
    padding: 0.8rem 2.5rem;
    border-radius: 5px;
    font-weight: 600;
    font-size: 1.1rem;
    text-decoration: none;
    transition: background-color 0.3s ease, transform 0.2s ease;
    margin-bottom: 2rem;
}

.view-project-link:hover {
    background-color: #82b3bb; /* slightly darker */
    transform: translateY(-2px);
}

.view-project {
    padding: 0.8rem 4rem;
    cursor: pointer;
    margin-bottom: 2rem;
    text-align: center;
}

.view-project a {
    font-size: 1.3rem;
    font-weight: 500;
    color: var(--jet-black);
    text-decoration: none;
}

/* ===============================  Case Study Pages  =============================== */

.case-hero-image {
    width: 100%;
    max-width: 800px;
    height: auto;
    margin: auto;
    display: block;
    margin-bottom: 2.2rem;
    border: 1.5px solid var(--jet-black);
}

.site-link {
    cursor: pointer;
    margin-bottom: 2rem;
    text-align: center;
}

.site-link a {
    font-size: 1.3rem;
    font-weight: 500;
    color: var(--jet-black);
    text-align: center;
    text-decoration: none;
}

#case-study {
    border: 2px solid var(--jet-black);
    border-radius: 12px;
    background-color: var(--white);
    padding: 1.5rem 1.5rem;
    max-width: 1000px;
    margin: auto;
    margin-bottom: 2.5rem;
}

#case-study h2 {
    font-size: 1.6rem;
    margin-bottom: 0.5rem;
}

#case-study section {
    margin-top: 2.5rem;
    border-top: 2px solid var(--powder-blue);
    padding-top: 1.5rem;
}

.top-row {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-bottom: 2.5rem;
}

.visuals h2 {
    font-size: 1.6rem;
    text-align: center;
    padding-bottom: 2rem;
}

.visuals img {
    border: 1.5px solid var(--jet-black);
}

.visual-snaps img {
    width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
    margin-bottom: 1.8rem;
}

.visual-snaps figcaption{
    text-align: center;
    padding-bottom: 3rem;
}

#case-study strong {
    font-weight: 600;
}

/* ===============================  footer  =============================== */

footer {
    background-color: var(--persian-indigo);
    background-image:
    linear-gradient(to right, #3c2f84 1.2px, transparent 0px),
    linear-gradient(to bottom, #3c2f84 1.2px, transparent 0px);
    background-size: 32px 32px;
    padding: 2rem 2.5rem;
    z-index: -1;
}

.footer-content {
    display: flex;
    flex-direction: column;
    gap: 50px;
}
  
.footer-left {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
}
  
.footer-title {
    font-size: 3rem;
    color: var(--white);
    line-height: 1.3;
    margin: 0;
}
  
.footer-icon {
    width: 80px;
    height: auto;
}
  
.social-links {
    list-style: none;
    padding: 0;
    margin: 0;
}
  
.social-links li {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-bottom: 1rem;
}
  
.social-links img {
    width: 26px;
    height: auto;
}
  
.social-links a {
    color: var(--white);
    text-decoration: none;
    font-size: 1.3rem;
}
  
.social-links a:hover {
    text-decoration: underline;
}
  
.footer-line {
    margin: 1.6rem 0;
    border-top: 1.8px solid var(--white);
    width: 100%;
}
  
footer .copyright {
    text-align: left;
    font-size: 1rem;
    color: var(--white);
    padding-bottom: 1.2rem;
} 

/* ===============================  Responsive Design  =============================== */

@media (min-width: 640px) {
    .hero-text h1 {
        font-size: 3.2rem;
    }

    .profession {
        font-size: 1.5rem;
    }

    .name-underline-1 {
        width: 99px;
        bottom: -13px;
    }

    .name-underline-2 {
        width: 60px;
        left: 156px;
    }

    .footer-content {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    
    .footer-left {
        flex-direction: row;
        align-items: center;
        gap: 1.5rem;
    }
    
    .footer-title {
        font-size: 3rem;
    }
    
    .footer-icon {
        width: 70px;
        position: relative;
        left: -114px;
        bottom: -60px;
    }
    
    footer .copyright {
        text-align: center;
    }

    .about-photo {
        width: 233px;
    }

    .about-section p {
        padding-bottom: 2rem;
    }

    .about-arrow {
        bottom: -48px;
        left: 205px;
    }
}

@media (min-width: 860px) {

    nav[aria-label="main"] ul {
      flex-direction: row;
      position: static;
      width: auto;
      height: auto;
      opacity: 1;
      visibility: visible;
      transform: none;
      background: none;
      justify-content: flex-end;
      gap: 50px;
      padding: 0rem 2rem;
    }
  
    nav[aria-label="main"] ul li {
      font-size: 1.2rem;
    }
  
    input[type="checkbox"],
    label.toggle {
      display: none;
    }

    .hero {
        padding-bottom: 2rem;
    }

    .hero-content {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 1rem;
        padding-bottom: 2.6rem;
    }

    .hero-text {
        text-align: left;
        padding-top: 0.5rem;
    }

    .hero-text h1 {
        font-size: 3rem;
    }

    .profession {
        font-size: 1.2rem;
    }

    .arrow {
        display: inline-block;
        width: 45px;
        height: 45px;
        margin-left: -1.5rem;
        margin-bottom: 10%;
    }

    .name-underline-1 {
        width: 80px;
        bottom: -4px;
    }

    .name-underline-2 {
        width: 50px;
        left: 120px;
        bottom: -4px;
    }

    .hero-image {
        max-width: 280px;
    }

    .pattern {
        position: relative;
        max-width: 100vw;
    }

    .works h2 {
        font-size: 3rem;
    }

    .card {
        flex-direction: row;
        padding: 1.5rem;
        max-width: 848px;
    }

    .card img {
        margin-top: 0;
        margin-bottom: 0;
    }

    .card-content {
        text-align: left;
        margin-left: 1.5rem;
    }

    .card-content h3 {
        font-size: 2rem;
    }

    .card-content p {
        padding-left: 0;
        padding-right: 0;
        padding-bottom: 0;
    }

    .view-project-link {
        margin-bottom: 0;
        margin-top: 1.3rem;
    }

    footer {
        padding: 3.5rem 4rem;
    }
    
    .footer-title {
        font-size: 3rem;
    }
    
    .footer-icon {
        width: 90px;
        left: -16px;
        bottom: -24px;
    }

    .about-photo {
        width: 260px;
    }

    .about-arrow {
        left: 222px;
    }

    .about-section p {
        padding-bottom: 2.8rem;
    }

    .top-row {
        flex-direction: row;
    }

  }

  @media (min-width: 1100px) {

    .hero-content {
        gap: 18rem;
    }

    .hero {
        padding: 1rem;
    }

    .hero-text h1 {
        font-size: 4.6rem;
    }

    .profession {
        font-size: 2.2rem;
    }

    .arrow {
        width: 135px;
        height: 165px;
        margin-left: -2.5rem;
    }

    .name-underline-1 {
        width: 146px;
        bottom: -20px;
    }

    .name-underline-2 {
        width: 88px;
        left: 228px;
        bottom: -4px;
    }

    .hero-image {
        max-width: 340px;
    }

    .pattern {
        position: relative;
        max-width: 100vw;
    }

    .works h2 {
        font-size: 4rem;
    }

    .grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .grid {
        gap: 30px;
    }

    .card {
        max-width: 558px;
    }

    footer {
        padding: 2.5rem 8rem;
    }
    
    .footer-title {
        font-size: 4rem;
    }
    
    .footer-icon {
        left: -8px;
        bottom: -36px;
    }
    
    .social-links li {
        gap: 14px;
    }

    .about-section p {
        padding-bottom: 1.9rem;
        padding-left: 8rem;
        padding-right: 8rem;
    }

    .about-arrow {
        bottom: -52px;
        width: 99px;
        left: 215px;
    }

    .about-grid-container {
        grid-template-columns: repeat(3, 1fr);
    }

    .about-grid-heading {
        font-size: 3rem;
    }
    
    .tools-grid img {
        width: 48px;
    }

    .top-row {
        flex-direction: row;
        gap: 236px;
    }

    .visual-snaps img {
        width: 55%;
    }
}